Subject: Re: [PATCH 1/1] tests: make surrogate-pair pass under Cygwin

From: Duncan Roe <[email-masked]>
Date: Wed, 24 Nov 2021 19:50:32 +1100

On Tue, Nov 23, 2021 at 06:34:51PM -0800, Paul Eggert wrote:
> I installed the attached fancier patch instead; please give it a try.
>
> I'm boldly marking the bug as fixed; we can unmark it later if I'm wrong.

> From 1ef60a1566e6c2df610bf29bd2c2994d58dd1e89 Mon Sep 17 00:00:00 2001
> From: Paul Eggert <[email-masked]>
> Date: Tue, 23 Nov 2021 18:28:10 -0800
> Subject: [PATCH] tests: skip surrogate-search test on Cygwin
>
> Cygwin does not support surrogate-pair search strings, so
> skip the test there (Bug#27555).
> * tests/Makefile.am (TESTS): Add surrogate-search.
> * tests/surrogate-pair: Remove surrogate-search test,
> which is now done by surrogate-search.
> * tests/surrogate-search: New test, which is skipped on Cygwin.
[...]
All good. New surrogate-search test is skipped under Cygwin.

What about Bug#49983? It's complaining about the same issue.

Cheers ... Duncan.